﻿@using Microsoft.Extensions.Options
@using Condatis.Webinars.B2C.Webinar4.OpenIDConnect.Models

@inject IOptions<SiteOptions> siteOptions

@{
    var siteName = this.siteOptions.Value.SiteName;
}

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - @siteName</title>

    <link href="https://fonts.googleapis.com/css2?family=Montserrat&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="~/lib/bootstrap/css/bootstrap.css" />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" crossorigin="anonymous" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css" integrity="sha512-+4zCK9k+qNFUR5X+cKL9EIR+ZOhtIloNl9GIKS57V1MyNsYpYcUrUeQc9vNfzsWfV28IaLL3i96P9sdNyeRssA==" crossorigin="anonymous" />
    <environment include="Development">
        <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    </environment>
    <environment exclude="Development">
        <link rel="stylesheet" href="~/css/site.min.css" asp-append-version="true" />
    </environment>
</head>
<body>
    <div id="body-container" class="d-flex h-100 mx-auto flex-column">
        <header class="mb-5">
            <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white">
                <div class="container">
                    <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index"><img src="https://condatis.com/wp-content/uploads/2019/03/logo-strap.svg" alt="Condatis - a SiteKit company" /></a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                            aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="navbar-collapse collapse d-sm-inline-flex justify-content-end">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index" asp-highlight-active="true">Home</a>
                            </li>
                            <partial name="_LoginPartial" />
                        </ul>
                    </div>
                </div>
            </nav>
        </header>
        <main role="main" class="container">
            @RenderBody()
        </main>

        <footer class="mt-auto text-muted">
            <div class="container">
                <p>&copy; @DateTime.Today.Year Sitekit Systems Limited. All Rights Reserved.</p>
                <p>Sitekit Systems Ltd (company number 08473243), trading as Condatis&reg;, is part of Sitekit Ltd (company number SC116007).</p>
                <p>Registered address: 17-21 Ashford Road, Maidstone, England, ME14 5DA.</p>
            </div>
            <a href="" class="btn btn-scroll" aria-label="Scroll back to the top of the window">
                <i class="fas fa-chevron-up fa-lg" aria-hidden="false"></i><span class="sr-only">Scroll to top</span>
            </a>
        </footer>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"
            crossorigin="anonymous"
            integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=">
    </script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"
            crossorigin="anonymous"
            integrity="sha384-xrRywqdh3PHs8keKZN+8zzc5TX0GRTLCcmivcbNJWm2rs5C8PRhcEn3czEjhAO9o">
    </script>
    <environment include="Development">
        <script src="~/js/site.js" asp-append-version="true"></script>
    </environment>
    <environment exclude="Development">
        <script src="~/js/site.min.js" asp-append-version="true"></script>
    </environment>
    

    @await RenderSectionAsync("Scripts", required: false)

    <mini-profiler />
</body>
</html>
